#include <bits/stdc++.h>

#define MAXN 200010

using namespace std;

int u[MAXN];
int v[MAXN];

int main()
{
    int n, m;
    cin >> n >> m;
    for(int i = 1; i <= n; i++)
        cin >> u[i] >> v[i];

    for(int j = 0; j < m; j++) {
        int a,b,x;
        cin >> a >> b >> x;
        int r = 0;
        for(int k = a; k <= b; k++) {
            if(u[k] <= x && v[k] >= x)
                r++;
        }
        cout << r << endl;
    }
    return 0;
}